Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK TSP Java API Reference 10g Release 3 (10.1.3) B25376-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.tsp
Class TSPMessage

`java.lang.Object
oracle.security.crypto.tsp.TSPMessage`

All Implemented Interfaces:
  oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  TSPTimeStampReq, TSPTimeStampResp

public abstract class TSPMessage
extends java.lang.Object
implements oracle.security.crypto.util.Streamable

A TSP message.

Constructor Summary
`TSPMessage()`

Method Summary
`protected abstract byte[]` | `getEncoded()`
`abstract MessageImprint` | `getMessageImprint()` Returns the MessageImprint object associated with this message.
`void` | `input(java.io.InputStream is)` Initializes this object by reading in a DER-encoded TSAPolicyID object from the given input stream.
`int` | `length()` Returns the length of the DER encoding of this object in bytes.
`void` | `output(java.io.OutputStream os)` Writes the DER encoding of this object to the given output stream.
`protected abstract void` | `parseMessage(byte[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSPMessage

    public TSPMessage()

Method Detail

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initializes this object by reading in a DER-encoded TSAPolicyID object from the given input stream.
  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `is` -
  Throws:
    `java.io.IOException` - If an I/O error occurs.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Writes the DER encoding of this object to the given output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - If an I/O error occurs.

### length

    public int length()

  Returns the length of the DER encoding of this object in bytes.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

### getMessageImprint

    public abstract MessageImprint getMessageImprint()

  Returns the MessageImprint object associated with this message.

### parseMessage

    protected abstract void parseMessage(byte[] data)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEncoded

    protected abstract byte[] getEncoded()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK TSP Java API Reference 10g Release 3 (10.1.3) B25376-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.